Bug 103433 - Table content should work with a simple click (instead of double)
Summary: Table content should work with a simple click (instead of double)
Status: RESOLVED FIXED
Alias: None
Product: kpdf
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Albert Astals Cid
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-07 17:09 UTC by Iñaki Baz Castillo
Modified: 2005-06-02 20:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Use single click for TOC selection and make slotExecuted more robust (984 bytes, patch)
2005-05-28 18:07 UTC, Fredrik Fornwall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Iñaki Baz Castillo 2005-04-07 17:09:41 UTC
Version:           desconocido (using KDE 3.4.0, Debian Package 4:3.4.0-0pre3 (3.1))
Compiler:          gcc version 3.3.5 (Debian 1:3.3.5-8)
OS:                Linux (i686) release 2.6.10

Navigation in the table content maybe easier is Kpdf allows simple click to go to any section of the content. At the moment, if the document has table content, I must do double click to navigate in the table.

I know that I can change this feature for ALL KDE in Control Center / Mouse, but I prefer simple click for the whole KDE, but in this case it will be more usable Kpdf to allow simple click in table content.

Good job anyway.
Comment 1 Fredrik Fornwall 2005-05-28 18:07:18 UTC
Created attachment 11242 [details]
Use single click for TOC selection and make slotExecuted more robust

This is a valid wish - the single/double-click setting in KControl is only
meant to be applied to files and folders, not normal list views such as the
Table of Contents (see e.g. the list view in KControl itself which is always in
single click mode).

The attached patch also enables the Return key for activating an item in the
TOC, also in accordance to other list views in KDE.
Comment 2 Albert Astals Cid 2005-05-29 19:58:55 UTC
I wonder why you feel the need of making slotExecuted more robust?
Comment 3 Albert Astals Cid 2005-06-02 20:00:13 UTC
Fixed, thanks for reporting